#!/bin/sh -e

source "@TSTPLIB@"

# This stests basic bluetooth communication inquiring remote device info.

BDADDR=""

usage(){
    echo "Usage:"
    echo "  test_bluetooth_info.sh  <BDADDR>"
    echo "  where:"
    echo "    BDADDR     - Remote machine Bluetooth Mac Address"
    exit 1
}

BDADDR=$1
[ "$BDADDR" ] || usage

echo Inquiring remote bluetooth device info...
hcitool info ${BDADDR}
