#!/bin/sh

# This script tests and confirms whether gpio expander registered in i2c bus and the gpio entries under sysfs debug interface.

name=$(cat /sys/class/i2c-dev/i2c-0/device/$1/name)
   if [ $? == 0 ]; then
        echo "GPIO Exapander: $name"
        echo "Kernel representation of GPIO devices registered: "
        cat /sys/kernel/debug/gpio
   else
      exit 1
   fi

