#!/bin/sh

# This script checks the mtd device list to confirm the mtd devices availability.

mtdList=$(cat /proc/mtd)

length=$(echo "$mtdList" | wc -l)

if [ $? -eq 0 ] && [ $length -gt 0 ]; then
	echo "List of MTD devices: "
	echo "$mtdList"
	echo "mtd: PASS"
else
	echo "No MTD device found"
	echo "mtd: FAIL"
	exit 1
fi

