#!/bin/sh -e

source "@TSTPLIB@"

dep_check_programs lsmod rmmod modprobe

remove_module() {
	if lsmod | grep g_mass_storage > /dev/null; then
		rmmod g_mass_storage
	fi
}

if [ -e "$1" ]; then
	BACKING_FILE=$1
elif [ -e "backing-file" ]; then
	BACKING_FILE="./backing-file"
else
	BACKING_FILE="./bin/usb/backing-file"
fi

remove_module
modprobe g_mass_storage file=$BACKING_FILE
