# Copyright (C) 2012 Timesys Corporation
#
# Common setup

$(TARGET_OBJ_DIR)/common/tstp.o: target/common/tstp.c
	@mkdir -p $(@D)
	$(CC) -c $< -Iinclude -o $@

$(TARGET_BIN_DIR)/tstp.sh: target/common/tstp.sh
	mkdir -p $(@D)
	sed -e 's,@PREFIX@,$(PREFIX),' $< > $@
	chmod +x $@

$(TARGET_BIN_DIR)/Test.sh: target/common/Test.sh
	mkdir -p $(@D)
	sed -e 's,@TSTPLIB@,$(PREFIX)/bin/tstp.sh,' $< > $@
	chmod +x $@

common: $(TARGET_OBJ_DIR)/common/tstp.o \
	$(TARGET_BIN_DIR)/tstp.sh $(TARGET_BIN_DIR)/Test.sh

# vim:set noexpandtab:
