#!/bin/sh -e
# test_erase.sh: erases an MTD partition

source "@TSTPLIB@"

load_libraries mtd/flash

PART=$1
[ "$PART" ] || error "no partition specified"

DEVICE=/dev/mtd$PART
[ -c "$DEVICE" ] || error "$DEVICE: invalid MTD device"

mtd_erase $DEVICE
