#!/bin/sh -e

source "@TSTPLIB@"

load_libraries files mtd/flash

mtd_parse_opts "$@"
mtd_test_start NOR

#####
# NOR Callbacks

nor_test_write() {
	flashcp $INFILE $DEVICE
}
nor_test_read() {
	dd if=$DEVICE of=$OUTFILE
}
MTD_TEST_READ=nor_test_read

#####
# Erase Test

MTD_TEST_INPUT="mtd_test_input_ones $ERASESIZE $ERASEBLOCKS"
MTD_TEST_WRITE=":"
mtd_test_run "Erase"

#####
# Random Test

MTD_TEST_INPUT="mtd_test_input_random $ERASESIZE $ERASEBLOCKS"
MTD_TEST_WRITE=nor_test_write
mtd_test_run "Random"
