#!/bin/sh

source "@TSTPLIB@"

dep_check_programs ip

INTERFACE=$1
BITRATE=$2

[ "$1" -a "$2" ] || error "usage: $TEST {INTERFACE} {BITRATE}"

if ! grep -q "can: controller area network core" /var/log/dmesg; then
	echo "CAN core not found!"
	exit 1
fi

if ! ip link set "$INTERFACE" up type can bitrate "$BITRATE" > /dev/null 2>&1; then
	echo "Device $INTERFACE not found!"
	exit 1
fi

ip link set "$INTERFACE" down type can

exit 0
